/*
 * switch.x - Specification of remote switch service.
 * Written by Ron Beam, 1996.
 */

/*
 * Define 2 procedures:
 *      sw_set()  takes a switch number and returns a long status.
 *      sw_stat() returns a long status.
 */

program SWITCH_PROG {
    version SWITCH_VERS {
        long  SW_SET(long) = 1;       /* procedure number 1 */
        long  SW_STAT(void) = 2;      /* procedure number 2 */
    } = 1;                            /* version number 1 */
} = 0x37654321;                       /* program number = 0x37654321 */

